# Asset SSL History Detail

GET /easm/assets/{asset_id}/ssl-history/{history_id}: Returns one SSL certificate snapshot of an asset, by the history_id returned by the list endpoint.

Source: https://docs.deepinfo.com/reference/easm/asset-ssl-history-detail/

Last updated: 2026-09-27

---
`GET https://api.deepinfo.com/v1/easm/assets/{asset_id}/ssl-history/{history_id}`

Returns one SSL certificate snapshot of an asset, by the `history_id` returned by the list endpoint.

## Authentication

Send your API key in the `apikey` request header.

## Path Parameters

| Parameter | Required | Description | Example |
|---|---|---|---|
| `asset_id` | Required |  | `000000000000000ea4f90001` |
| `history_id` | Required |  | `00000000000000000000000ebd470001` |

## Response Fields

| Field | Type | Description |
|---|---|---|
| `result` | object |  |
| `status` | boolean |  |
| `check_date` | string | date-time |

## Response Schema

_Inferred from examples._ Built from the saved 2xx example response: the fields it contains, with the types seen there. It is not a contract.

| Field | Type |
|---|---|
| `result` | object |
| `result.target` | string |
| `result.port` | number |
| `result.check_date` | string |
| `result.connection_status` | string |
| `result.parsed` | object |
| `result.parsed.version` | object |
| `result.parsed.version.name` | string |
| `result.parsed.version.value` | string |
| `result.parsed.fingerprint_sha1` | string |
| `result.parsed.fingerprint_sha256` | string |
| `result.parsed.fingerprint_md5` | string |
| `result.parsed.subject` | object |
| `result.parsed.subject.dn` | string |
| `result.parsed.subject.common_name` | string |
| `result.parsed.subject.country_name` | null |
| `result.parsed.subject.locality` | null |
| `result.parsed.subject.organization` | null |
| `result.parsed.subject.organizational_unit` | null |
| `result.parsed.subject.state` | null |
| `result.parsed.signature` | object |
| `result.parsed.signature.value` | string |
| `result.parsed.signature.self_signed` | boolean |
| `result.parsed.signature.valid` | boolean |
| `result.parsed.signature.valid_chain` | boolean |
| `result.parsed.signature.invalid_reason` | null |
| `result.parsed.signature.signature_algorithm` | object |
| `result.parsed.signature.signature_algorithm.oid` | string |
| `result.parsed.signature.signature_algorithm.name` | string |
| `result.parsed.validity` | object |
| `result.parsed.validity.start` | string |
| `result.parsed.validity.length` | number |
| `result.parsed.validity.end` | string |
| `result.parsed.issuer` | object |
| `result.parsed.issuer.dn` | string |
| `result.parsed.issuer.common_name` | string |
| `result.parsed.issuer.country_name` | string |
| `result.parsed.issuer.locality` | null |
| `result.parsed.issuer.organization` | string |
| `result.parsed.issuer.organizational_unit` | null |
| `result.parsed.issuer.state` | null |
| `result.parsed.extensions` | object |
| `result.parsed.extensions.key_usage` | object |
| `result.parsed.extensions.key_usage.digital_signature` | boolean |
| `result.parsed.extensions.key_usage.content_commitment` | boolean |
| `result.parsed.extensions.key_usage.key_agreement` | boolean |
| `result.parsed.extensions.key_usage.data_encipherment` | boolean |
| `result.parsed.extensions.key_usage.key_encipherment` | boolean |
| `result.parsed.extensions.key_usage.key_cert_sign` | boolean |
| `result.parsed.extensions.key_usage.crl_sign` | boolean |
| `result.parsed.extensions.extended_key_usage` | object |
| `result.parsed.extensions.extended_key_usage.server_auth` | boolean |
| `result.parsed.extensions.basic_constraints` | object |
| `result.parsed.extensions.basic_constraints.is_ca` | boolean |
| `result.parsed.extensions.subject_key_identifier` | object |
| `result.parsed.extensions.subject_key_identifier.digest` | string |
| `result.parsed.extensions.authority_key_identifier` | object |
| `result.parsed.extensions.authority_key_identifier.key_identifier` | string |
| `result.parsed.extensions.authority_info_access` | object |
| `result.parsed.extensions.authority_info_access.caissuers_urls` | string |
| `result.parsed.extensions.subject_alt_name` | object |
| `result.parsed.extensions.subject_alt_name.dns_names` | array<string> |
| `result.parsed.extensions.certificate_policies` | array<string> |
| `result.parsed.extensions.crl_distribution_points` | array<string> |
| `result.parsed.extensions.signed_certificate_timestamp` | array<object> |
| `result.parsed.extensions.signed_certificate_timestamp[].log_id` | string |
| `result.parsed.extensions.signed_certificate_timestamp[].timestamp` | number |
| `result.parsed.extensions.signed_certificate_timestamp[].version` | number |
| `result.parsed.extensions.signed_certificate_timestamp[].signature` | string |
| `result.parsed.extensions.other_extensions` | array |
| `result.parsed.serial_number` | string |
| `result.parsed.tbs_fingerprint` | string |
| `result.parsed.subject_key_info` | object |
| `result.parsed.subject_key_info.fingerprint` | object |
| `result.parsed.subject_key_info.fingerprint.hash_algorithm_name` | string |
| `result.parsed.subject_key_info.fingerprint.value` | string |
| `result.parsed.subject_key_info.key_algorithm` | object |
| `result.parsed.subject_key_info.key_algorithm.name` | string |
| `result.parsed.subject_key_info.ecdsa_public_key` | object |
| `result.parsed.subject_key_info.ecdsa_public_key.length` | string |
| `result.parsed.subject_key_info.ecdsa_public_key.x` | string |
| `result.parsed.subject_key_info.ecdsa_public_key.y` | string |
| `result.parsed.has_expired` | boolean |
| `result.parsed.fqdn_list` | array<string> |
| `result.certificate` | string |
| `result.parse_errors` | array |
| `status` | boolean |
| `check_date` | string |

## Examples

### 200 · OK

```bash
curl 'https://api.deepinfo.com/v1/easm/assets/000000000000000ea4f90001/ssl-history/00000000000000000000000ebd470001' \
  -H 'apikey: YOUR_API_KEY' \
  -H 'Accept: application/json'
```

`Content-Type: application/json` · `deepinfo-request-id: 00000000-0000-4000-8000-0000356d0001`

```json
{
  "result": {
    "target": "acme.example",
    "port": 443,
    "check_date": "2025-07-31T08:00:00Z",
    "connection_status": "success",
    "parsed": {
      "version": {
        "name": "v3",
        "value": "13"
      },
      "fingerprint_sha1": "a63700abcdef0123456789a63700abcdef012345",
      "fingerprint_sha256": "8e4e00abcdef01234567898e4e00abcdef01234567898e4e00abcdef01234567",
      "fingerprint_md5": "93fa00abcdef012345678993fa00abcd",
      "subject": {
        "dn": "CN=Kestrel Trust CA, O=Kestrel Trust, C=US",
        "common_name": "www.acme.example",
        "country_name": null,
        "locality": null,
        "organization": null,
        "organizational_unit": null,
        "state": null
      },
      "signature": {
        "value": "<data>",
        "self_signed": false,
        "valid": true,
        "valid_chain": true,
        "invalid_reason": null,
        "signature_algorithm": {
          "oid": "1.0.0.0.0.0.0",
          "name": "sha256"
        }
      },
      "validity": {
        "start": "2025-06-01T08:00:00Z",
        "length": 7776000,
        "end": "2026-06-01T08:00:00Z"
      },
      "issuer": {
        "dn": "CN=Kestrel Trust CA, O=Kestrel Trust, C=US",
        "common_name": "Kestrel Trust CA",
        "country_name": "United States",
        "locality": null,
        "organization": "Kestrel Trust",
        "organizational_unit": null,
        "state": null
      },
      "extensions": {
        "key_usage": {
          "digital_signature": true,
          "content_commitment": true,
          "key_agreement": true,
          "data_encipherment": false,
          "key_encipherment": true,
          "key_cert_sign": true,
          "crl_sign": true
        },
        "extended_key_usage": {
          "server_auth": true
        },
        "basic_constraints": {
          "is_ca": false
        },
        "subject_key_identifier": {
          "digest": "<data>"
        },
        "authority_key_identifier": {
          "key_identifier": "<public-key>"
        },
        "authority_info_access": {
          "caissuers_urls": "http://www.fernhill.example/ca.crt"
        },
        "subject_alt_name": {
          "dns_names": [
            "www.acme.example",
            "*.app.acme.example"
          ]
        },
        "certificate_policies": [
          "1.0.0.0.0.0"
        ],
        "crl_distribution_points": [
          "http://www.fernhill.example/ca.crl"
        ],
        "signed_certificate_timestamp": [
          {
            "log_id": "<data>",
            "timestamp": 1753948800,
            "version": 1,
            "signature": "<signature>"
          },
          {
            "log_id": "<data>",
            "timestamp": 1753344000,
            "version": 1,
            "signature": "<signature>"
          }
        ],
        "other_extensions": []
      },
      "serial_number": "123456789012345678901234567890123456789",
      "tbs_fingerprint": "5cc100abcdef01234567895cc100abcdef01234567895cc100abcdef01234567",
      "subject_key_info": {
        "fingerprint": {
          "hash_algorithm_name": "sha256",
          "value": "54dc00abcdef012345678954dc00abcdef012345678954dc00abcdef01234567"
        },
        "key_algorithm": {
          "name": "ECDSA"
        },
        "ecdsa_public_key": {
          "length": "2048",
          "x": "1234567890123456789012345678901234567890123456789012345678901234",
          "y": "1234567890123456789012345678901234567890123456789012345678901234"
        }
      },
      "has_expired": false,
      "fqdn_list": [
        "www.acme.example"
      ]
    },
    "certificate": "<certificate>",
    "parse_errors": []
  },
  "status": true,
  "check_date": "2025-07-31T08:00:00Z"
}
```

### 404 · Not Found (nonexistent asset_id)

```bash
curl 'https://api.deepinfo.com/v1/easm/assets/ffffffffffffffffffffffff/ssl-history/ffffffffffffffffffffffff' \
  -H 'apikey: YOUR_API_KEY' \
  -H 'Accept: application/json'
```

`Content-Type: application/json` · `deepinfo-request-id: 00000000-0000-4000-8000-0000356d0001`

```json
{
  "code": 30003,
  "details": [
    "Asset does not exist."
  ],
  "solution": "https://docs.deepinfo.com/reference/"
}
```
